summaryrefslogtreecommitdiff
path: root/plugins/aliases
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2022-08-09 17:28:30 -0700
committerTuowen Zhao <ztuowen@gmail.com>2022-08-09 17:28:30 -0700
commit1a6dcd017dbf564058a729032de3db139fcf9c7e (patch)
treee8dad70ff1450f9d7ff9e76510304648108bee56 /plugins/aliases
parent6e0a7765188ef970d738108d11eaecc7b79a5f5e (diff)
parent97134d1eed19b72a9c4bf90a2effa847221608bf (diff)
downloadzsh-1a6dcd017dbf564058a729032de3db139fcf9c7e.tar.gz
zsh-1a6dcd017dbf564058a729032de3db139fcf9c7e.tar.bz2
zsh-1a6dcd017dbf564058a729032de3db139fcf9c7e.zip
Merge branch 'master' of https://github.com/ohmyzsh/ohmyzsh
Diffstat (limited to 'plugins/aliases')
-rw-r--r--plugins/aliases/aliases.plugin.zsh23
1 files changed, 13 insertions, 10 deletions
diff --git a/plugins/aliases/aliases.plugin.zsh b/plugins/aliases/aliases.plugin.zsh
index 4e1e0558e..9864de957 100644
--- a/plugins/aliases/aliases.plugin.zsh
+++ b/plugins/aliases/aliases.plugin.zsh
@@ -1,11 +1,14 @@
-# with lots of 3rd-party amazing aliases installed, just need something to explore it quickly.
-#
-# - acs: alias cheatsheet
-# group alias by command, pass addition argv to grep.
-function acs(){
- (( $+commands[python3] )) || {
- echo "[error] No python executable detected"
- return
+# Handle $0 according to the standard:
+# https://zdharma-continuum.github.io/Zsh-100-Commits-Club/Zsh-Plugin-Standard.html
+0="${${ZERO:-${0:#$ZSH_ARGZERO}}:-${(%):-%N}}"
+0="${${(M)0:#/*}:-$PWD/$0}"
+
+eval '
+ function acs(){
+ (( $+commands[python3] )) || {
+ echo "[error] No python executable detected"
+ return
+ }
+ alias | python3 "'"${0:h}"'/cheatsheet.py" "$@"
}
- alias | python3 ${functions_source[$0]:h}/cheatsheet.py $@
-}
+'